Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.job.entries.ftp
Class JobEntryFTP

    java.lang.Object
      org.pentaho.di.job.entry.JobEntryBase
          org.pentaho.di.job.entries.ftp.JobEntryFTP

All Implemented Interfaces:
  Cloneable, org.pentaho.di.core.CheckResultSourceInterface, org.pentaho.di.core.variables.VariableSpace, JobEntryInterface, ResourceHolderInterface

    public class JobEntryFTP

extends JobEntryBase
implements Cloneable, JobEntryInterface

This defines an FTP job entry.

Since:
  05-11-2003
Author:
  Matt

Field Summary
`int` | `ifFileExists`
`int` | `ifFileExistsCreateUniq`
`int` | `ifFileExistsFail`
`int` | `ifFileExistsSkip`
`String` | `SifFileExists`
`String` | `SifFileExistsCreateUniq`
`String` | `SifFileExistsFail`
`String` | `SifFileExistsSkip`
`String` | `SUCCESS_IF_AT_LEAST_X_FILES_DOWNLOADED`
`String` | `SUCCESS_IF_ERRORS_LESS`
`String` | `SUCCESS_IF_NO_ERRORS`

Fields inherited from class org.pentaho.di.job.entry.JobEntryBase
`category_order`

Constructor Summary
`JobEntryFTP()`
`JobEntryFTP(JobEntryBase jeb)`
`JobEntryFTP(String n)`

Method Summary
`void` | `check(List<org.pentaho.di.core.CheckResultInterface> remarks, JobMeta jobMeta)` Support for overrides not having to put in a check method
`Object` | `clone()`
`boolean` | `evaluates()` check whether or not this job entry evaluates.
`org.pentaho.di.core.Result` | `execute(org.pentaho.di.core.Result previousResult, int nr, Repository rep, Job parentJob)`
`String` | `getControlEncoding()` Get the control encoding to be used for ftp'ing
`String` | `getDateTimeFormat()`
`String` | `getFtpDirectory()`
`String` | `getLimit()`
`String` | `getMoveToDirectory()`
`String` | `getPassword()`
`String` | `getPort()`
`String` | `getProxyHost()`
`String` | `getProxyPassword()`
`String` | `getProxyPort()`
`String` | `getProxyUsername()`
`boolean` | `getRemove()`
`List<ResourceReference>` | `getResourceDependencies(JobMeta jobMeta)` Get a list of all the resource dependencies that the step is depending on.
`String` | `getServerName()`
`String` | `getSuccessCondition()`
`String` | `getTargetDirectory()`
`int` | `getTimeout()`
`String` | `getUserName()`
`String` | `getWildcard()`
`String` | `getXML()`
`boolean` | `isActiveConnection()`
`boolean` | `isAddDateBeforeExtension()`
`boolean` | `isAddToResult()`
`boolean` | `isBinaryMode()`
`boolean` | `isCreateMoveFolder()`
`boolean` | `isDateInFilename()`
`boolean` | `isMoveFiles()`
`boolean` | `isOnlyGettingNewFiles()`
`boolean` | `isSpecifyFormat()`
`boolean` | `isTimeInFilename()`
`void` | `loadRep(Repository rep, long id_jobentry, List<org.pentaho.di.core.database.DatabaseMeta> databases, List<SlaveServer> slaveServers)`
`void` | `loadXML(Node entrynode, List<org.pentaho.di.core.database.DatabaseMeta> databases, List<SlaveServer> slaveServers, Repository rep)`
`String` | `normalizePath(String path)` normalize / to \ and remove trailing slashes from a path
`void` | `saveRep(Repository rep, long id_job)`
`void` | `setActiveConnection(boolean passive)`
`void` | `setAddDateBeforeExtension(boolean AddDateBeforeExtension)`
`void` | `setAddToResult(boolean isaddresultin)`
`void` | `setBinaryMode(boolean binaryMode)`
`void` | `setControlEncoding(String encoding)` Set the encoding to be used for ftp'ing.
`void` | `setCreateMoveFolder(boolean createmovefolderin)`
`void` | `setDateInFilename(boolean adddate)`
`void` | `setDateTimeFormat(String date_time_format)`
`void` | `setFtpDirectory(String directory)`
`void` | `setLimit(String nr_limitin)`
`void` | `setMoveFiles(boolean movefilesin)`
`void` | `setMoveToDirectory(String movetoin)`
`void` | `setOnlyGettingNewFiles(boolean onlyGettingNewFilesin)`
`void` | `setPassword(String password)`
`void` | `setPort(String port)`
`void` | `setProxyHost(String proxyHost)`
`void` | `setProxyPassword(String proxyPassword)`
`void` | `setProxyPort(String proxyPort)`
`void` | `setProxyUsername(String proxyUsername)`
`void` | `setRemove(boolean remove)`
`void` | `setServerName(String serverName)`
`void` | `setSpecifyFormat(boolean SpecifyFormat)`
`void` | `setSuccessCondition(String success_condition)`
`void` | `setTargetDirectory(String targetDirectory)`
`void` | `setTimeInFilename(boolean addtime)`
`void` | `setTimeout(int timeout)`
`void` | `setUserName(String userName)`
`void` | `setWildcard(String wildcard)`

Methods inherited from class org.pentaho.di.job.entry.JobEntryBase
`clear, copyVariablesFrom, environmentSubstitute, environmentSubstitute, exportResources, getBooleanValueOfVariable, getConfigId, getDescription, getDialogClassName, getFilename, getHolderType, getID, getJobEntryType, getName, getParentVariableSpace, getPluginID, getRealFilename, getSQLStatements, getSQLStatements, getTypeCode, getTypeCode, getTypeDesc, getTypeDesc, getTypeId, getUsedDatabaseConnections, getVariable, getVariable, hasChanged, initializeVariablesFrom, injectVariables, isDummy, isEvaluation, isFTP, isHTTP, isJob, isMail, isSFTP, isShell, isSpecial, isStart, isTransformation, isUnconditional, listVariables, loadXML, parseRepositoryObjects, resetErrorsBeforeExecution, setChanged, setChanged, setConfigId, setDescription, setID, setJobEntryType, setName, setParentVariableSpace, setPluginID, setVariable, shareVariablesWith, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.pentaho.di.job.entry.JobEntryInterface
`clear, exportResources, getConfigId, getDescription, getDialogClassName, getFilename, getID, getJobEntryType, getName, getPluginID, getRealFilename, getSQLStatements, getSQLStatements, getTypeCode, getUsedDatabaseConnections, hasChanged, isDummy, isEvaluation, isJob, isMail, isShell, isSpecial, isStart, isTransformation, isUnconditional, resetErrorsBeforeExecution, setChanged, setChanged, setConfigId, setDescription, setID, setJobEntryType, setName, setPluginID`

Field Detail

### ifFileExistsSkip

    public int ifFileExistsSkip

### SifFileExistsSkip

    public String SifFileExistsSkip

### ifFileExistsCreateUniq

    public int ifFileExistsCreateUniq

### SifFileExistsCreateUniq

    public String SifFileExistsCreateUniq

### ifFileExistsFail

    public int ifFileExistsFail

### SifFileExistsFail

    public String SifFileExistsFail

### ifFileExists

    public int ifFileExists

### SifFileExists

    public String SifFileExists

### SUCCESS_IF_AT_LEAST_X_FILES_DOWNLOADED

    public String SUCCESS_IF_AT_LEAST_X_FILES_DOWNLOADED

### SUCCESS_IF_ERRORS_LESS

    public String SUCCESS_IF_ERRORS_LESS

### SUCCESS_IF_NO_ERRORS

    public String SUCCESS_IF_NO_ERRORS

Constructor Detail

### JobEntryFTP

    public JobEntryFTP(String n)

### JobEntryFTP

    public JobEntryFTP()

### JobEntryFTP

    public JobEntryFTP(JobEntryBase jeb)

Method Detail

### clone

    public Object clone()

  Specified by:
    `clone` in interface `JobEntryInterface`
  Overrides:
    `clone` in class `JobEntryBase`

### getXML

    public String getXML()

  Specified by:
    `getXML` in interface `JobEntryInterface`
  Overrides:
    `getXML` in class `JobEntryBase`

### loadXML

    public void loadXML(Node entrynode,
                        List<org.pentaho.di.core.database.DatabaseMeta> databases,
                        List<SlaveServer> slaveServers,
                        Repository rep)
                 throws org.pentaho.di.core.exception.KettleXMLException

  Specified by:
    `loadXML` in interface `JobEntryInterface`
  Throws:
    `org.pentaho.di.core.exception.KettleXMLException`

### loadRep

    public void loadRep(Repository rep,
                        long id_jobentry,
                        List<org.pentaho.di.core.database.DatabaseMeta> databases,
                        List<SlaveServer> slaveServers)
                 throws org.pentaho.di.core.exception.KettleException

  Specified by:
    `loadRep` in interface `JobEntryInterface`
  Overrides:
    `loadRep` in class `JobEntryBase`
  Throws:
    `org.pentaho.di.core.exception.KettleException`

### saveRep

    public void saveRep(Repository rep,
                        long id_job)
                 throws org.pentaho.di.core.exception.KettleException

  Specified by:
    `saveRep` in interface `JobEntryInterface`
  Overrides:
    `saveRep` in class `JobEntryBase`
  Throws:
    `org.pentaho.di.core.exception.KettleException`

### setLimit

    public void setLimit(String nr_limitin)

### getLimit

    public String getLimit()

### setSuccessCondition

    public void setSuccessCondition(String success_condition)

### getSuccessCondition

    public String getSuccessCondition()

### setCreateMoveFolder

    public void setCreateMoveFolder(boolean createmovefolderin)

### isCreateMoveFolder

    public boolean isCreateMoveFolder()

### setAddDateBeforeExtension

    public void setAddDateBeforeExtension(boolean AddDateBeforeExtension)

### isAddDateBeforeExtension

    public boolean isAddDateBeforeExtension()

### setAddToResult

    public void setAddToResult(boolean isaddresultin)

### isAddToResult

    public boolean isAddToResult()

### setDateInFilename

    public void setDateInFilename(boolean adddate)

### isDateInFilename

    public boolean isDateInFilename()

### setTimeInFilename

    public void setTimeInFilename(boolean addtime)

### isTimeInFilename

    public boolean isTimeInFilename()

### isSpecifyFormat

    public boolean isSpecifyFormat()

### setSpecifyFormat

    public void setSpecifyFormat(boolean SpecifyFormat)

### getDateTimeFormat

    public String getDateTimeFormat()

### setDateTimeFormat

    public void setDateTimeFormat(String date_time_format)

### isMoveFiles

    public boolean isMoveFiles()

  Returns:
    Returns the movefiles.

### setMoveFiles

    public void setMoveFiles(boolean movefilesin)

  Parameters:
    `movefilesin` - The movefiles to set.

### getMoveToDirectory

    public String getMoveToDirectory()

  Returns:
    Returns the movetodirectory.

### setMoveToDirectory

    public void setMoveToDirectory(String movetoin)

  Parameters:
    `movetoin` - The movetodirectory to set.

### isBinaryMode

    public boolean isBinaryMode()

  Returns:
    Returns the binaryMode.

### setBinaryMode

    public void setBinaryMode(boolean binaryMode)

  Parameters:
    `binaryMode` - The binaryMode to set.

### getFtpDirectory

    public String getFtpDirectory()

  Returns:
    Returns the directory.

### setFtpDirectory

    public void setFtpDirectory(String directory)

  Parameters:
    `directory` - The directory to set.

### getPassword

    public String getPassword()

  Returns:
    Returns the password.

### setPassword

    public void setPassword(String password)

  Parameters:
    `password` - The password to set.

### getServerName

    public String getServerName()

  Returns:
    Returns the serverName.

### setServerName

    public void setServerName(String serverName)

  Parameters:
    `serverName` - The serverName to set.

### getPort

    public String getPort()

  Returns:
    Returns the port.

### setPort

    public void setPort(String port)

  Parameters:
    `port` - The port to set.

### getUserName

    public String getUserName()

  Returns:
    Returns the userName.

### setUserName

    public void setUserName(String userName)

  Parameters:
    `userName` - The userName to set.

### getWildcard

    public String getWildcard()

  Returns:
    Returns the wildcard.

### setWildcard

    public void setWildcard(String wildcard)

  Parameters:
    `wildcard` - The wildcard to set.

### getTargetDirectory

    public String getTargetDirectory()

  Returns:
    Returns the targetDirectory.

### setTargetDirectory

    public void setTargetDirectory(String targetDirectory)

  Parameters:
    `targetDirectory` - The targetDirectory to set.

### setTimeout

    public void setTimeout(int timeout)

  Parameters:
    `timeout` - The timeout to set.

### getTimeout

    public int getTimeout()

  Returns:
    Returns the timeout.

### setRemove

    public void setRemove(boolean remove)

  Parameters:
    `remove` - The remove to set.

### getRemove

    public boolean getRemove()

  Returns:
    Returns the remove.

### isOnlyGettingNewFiles

    public boolean isOnlyGettingNewFiles()

  Returns:
    Returns the onlyGettingNewFiles.

### setOnlyGettingNewFiles

    public void setOnlyGettingNewFiles(boolean onlyGettingNewFilesin)

  Parameters:
    `onlyGettingNewFiles` - The onlyGettingNewFiles to set.

### getControlEncoding

    public String getControlEncoding()

  Get the control encoding to be used for ftp'ing

  Returns:
    the used encoding

### setControlEncoding

    public void setControlEncoding(String encoding)

  Set the encoding to be used for ftp'ing. This determines how names are translated in dir e.g. It does impact the contents of the files being ftp'ed.

  Parameters:
    `encoding` - The encoding to be used.

### getProxyHost

    public String getProxyHost()

  Returns:
    Returns the hostname of the ftp-proxy.

### setProxyHost

    public void setProxyHost(String proxyHost)

  Parameters:
    `proxyHost` - The hostname of the proxy.

### getProxyPassword

    public String getProxyPassword()

  Returns:
    Returns the password which is used to authenticate at the proxy.

### setProxyPassword

    public void setProxyPassword(String proxyPassword)

  Parameters:
    `proxyPassword` - The password which is used to authenticate at the proxy.

### getProxyPort

    public String getProxyPort()

  Returns:
    Returns the port of the ftp-proxy.

### setProxyPort

    public void setProxyPort(String proxyPort)

  Parameters:
    `proxyPort` - The port of the ftp-proxy.

### getProxyUsername

    public String getProxyUsername()

  Returns:
    Returns the username which is used to authenticate at the proxy.

### setProxyUsername

    public void setProxyUsername(String proxyUsername)

  Parameters:
    `proxyUsername` - The username which is used to authenticate at the proxy.

### execute

    public org.pentaho.di.core.Result execute(org.pentaho.di.core.Result previousResult,
                                              int nr,
                                              Repository rep,
                                              Job parentJob)

  Specified by:
    `execute` in interface `JobEntryInterface`

### normalizePath

    public String normalizePath(String path)
                         throws Exception

  normalize / to \ and remove trailing slashes from a path

  Parameters:
    `path` -
  Returns:
    normalized path
  Throws:
    `Exception`

### evaluates

    public boolean evaluates()

  Description copied from class: `JobEntryBase`
  check whether or not this job entry evaluates.

  Specified by:
    `evaluates` in interface `JobEntryInterface`
  Overrides:
    `evaluates` in class `JobEntryBase`
  Returns:
    true if the job entry evaluates

### isActiveConnection

    public boolean isActiveConnection()

  Returns:
    the activeConnection

### setActiveConnection

    public void setActiveConnection(boolean passive)

  Parameters:
    `activeConnection` - the activeConnection to set

### check

    public void check(List<org.pentaho.di.core.CheckResultInterface> remarks,
                      JobMeta jobMeta)

  Description copied from class: `JobEntryBase`
  Support for overrides not having to put in a check method

  Specified by:
    `check` in interface `JobEntryInterface`
  Overrides:
    `check` in class `JobEntryBase`
  Parameters:
    `remarks` - CheckResults from checking the job entry
    `jobMeta` - JobMeta information letting threading back to the JobMeta possible

### getResourceDependencies

    public List<ResourceReference> getResourceDependencies(JobMeta jobMeta)

  Description copied from class: `JobEntryBase`
  Get a list of all the resource dependencies that the step is depending on.

  Specified by:
    `getResourceDependencies` in interface `JobEntryInterface`
  Overrides:
    `getResourceDependencies` in class `JobEntryBase`
  Returns:
    a list of all the resource dependencies that the step is depending on

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD